org.apache.maven.scm.tck.command.update

## Class UpdateCommandTckTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.codehaus.plexus.PlexusTestCase
      - - org.apache.maven.scm.ScmTestCase
        - - org.apache.maven.scm.ScmTckTestCase
          - - org.apache.maven.scm.tck.command.update.UpdateCommandTckTest

- All Implemented Interfaces:
    junit.framework.Test
  Direct Known Subclasses:
    CvsUpdateCommandTckTest, GitUpdateCommandTckTest, SvnUpdateCommandTckTest

      public abstract class UpdateCommandTckTest
      extends ScmTckTestCase

  This test tests the update command.

  It works like this:

  1. Check out the files to directory getWorkingCopy().
  2. Check out the files to directory getUpdatingCopy().
  3. Change the files in getWorkingCopy().
  4. Commit the files in getWorkingCopy(). Note that the provider must not use the check in command as it can be guaranteed to work as it's not yet tested.
  5. Use the update command in getUpdatingCopy() to assert that the files that was supposed to be updated actually was updated.
  Version:
    $Id: UpdateCommandTckTest.java 685686 2008-08-13 21:44:22Z olamy $
  Author:
    Trygve Laugstøl

- - ### Field Summary

    - ### Fields inherited from class org.apache.maven.scm.ScmTestCase

      `GMT_TIME_ZONE`

    - ### Fields inherited from class org.codehaus.plexus.PlexusTestCase

      `basedir, container`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdateCommandTckTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `testUpdateCommand()`

    - ### Methods inherited from class org.apache.maven.scm.ScmTckTestCase

      `addToWorkingTree, checkOut, getScmFileNames, getScmRepository, getScmUrl, initRepo, mapFilesByPath, setUp`

    - ### Methods inherited from class org.apache.maven.scm.ScmTestCase

      `assertCommandLine, assertFile, assertPath, assertResultIsSuccess, execute, getAssertionCopy, getDate, getDate, getDate, getModule, getRepository, getRepositoryRoot, getScmFileSet, getScmManager, getUpdatingCopy, getWorkingCopy, getWorkingDirectory, isSystemCmd, makeDirectory, makeFile, makeFile, makeScmRepository, setDebugExecute`

    - ### Methods inherited from class org.codehaus.plexus.PlexusTestCase

      `createContainerInstance, customizeContext, customizeContext, getBasedir, getClassLoader, getConfiguration, getConfiguration, getContainer, getCustomConfiguration, getResourceAsStream, getTestFile, getTestFile, getTestPath, getTestPath, lookup, lookup, release, tearDown`

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UpdateCommandTckTest

          public UpdateCommandTckTest()

  - ### Method Detail

    - #### testUpdateCommand

          public void testUpdateCommand()
                                 throws Exception

      Throws:
        `Exception`

Copyright © 2003–2015. All rights reserved.